### Class

# Pos OskKey

#### Description [src]

    final class Pos.OskKey : GObject.Object
    {
      /* No available fields */
    }

A key on the osk widget.

#### Ancestors

- GObject

#### Constructors

###### pos_osk_key_new

No description available.

#### Instance methods

###### pos_osk_key_get_box

Get the key’s position and size.

###### pos_osk_key_get_expand

Get whether the key expands to use free space in available in a row.

###### pos_osk_key_get_icon

Get the icon to be rendered on the key. This can be `NULL` if the key uses a label.

###### pos_osk_key_get_label

Get the label to be rendered on the key. This can differ from the key’s primary symbol and it can be `NULL` if the key uses an icon.

###### pos_osk_key_get_layer

Get the layer a key is in.

###### pos_osk_key_get_pressed

Gets the key’s pressed state.

###### pos_osk_key_get_symbol

Get the key’s primary symbol.

###### pos_osk_key_get_symbols

Get the additional symbols. For the primary symbol see `pos_osk_key_get_symbol()`.

###### pos_osk_key_get_use

Get what the key is used for (regular key, toggle another layer, etc.).

###### pos_osk_key_get_width

Gets the key’s width in key units. See also `pos_osk_key_get_box()`.

###### pos_osk_key_set_box

Set the keys box. This specifies the key’s position and size.

###### pos_osk_key_set_pressed

Marks the key as currently pressed.

###### pos_osk_key_set_width

Sets the key’s width in key units.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.OskKey:expand

Whether the key expands to use free space in available in a row.

###### Pos.OskKey:icon

The icon that is shown on the key.

###### Pos.OskKey:label

The label that is shown on the key. If unset the PosOskKey:symbol is used instead.

###### Pos.OskKey:layer

The layer the key toggles (if any).

###### Pos.OskKey:pressed

Whether the key is currently pressed.

###### Pos.OskKey:style

Additional style classes.

###### Pos.OskKey:symbol

The symbol the key represents.

###### Pos.OskKey:symbols

Additional symbols the key represents (e.g. ä over a).

###### Pos.OskKey:use

What the key is used for.

###### Pos.OskKey:width

Width of key in “key units” (smallest key width).

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosOskKeyClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.